

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.ZambrettiCore &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.Upload" href="pywws.Upload.html" />
    <link rel="prev" title="pywws.Forecast" href="pywws.Forecast.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.Upload.html" title="pywws.Upload"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.Forecast.html" title="pywws.Forecast"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-pywws.ZambrettiCore">
<span id="pywws-zambretticore"></span><h1>pywws.ZambrettiCore<a class="headerlink" href="#module-pywws.ZambrettiCore" title="Permalink to this headline">¶</a></h1>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><tt class="xref py py-obj docutils literal"><span class="pre">Zambretti</span></tt></td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="pywws.ZambrettiCore.ZambrettiCode">
<tt class="descclassname">pywws.ZambrettiCore.</tt><tt class="descname">ZambrettiCode</tt><big>(</big><em>pressure</em>, <em>month</em>, <em>wind</em>, <em>trend</em>, <em>north=True</em>, <em>baro_top=1050.0</em>, <em>baro_bottom=950.0</em><big>)</big><a class="reference internal" href="../_modules/pywws/ZambrettiCore.html#ZambrettiCode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.ZambrettiCore.ZambrettiCode" title="Permalink to this definition">¶</a></dt>
<dd><p>Simple implementation of Zambretti forecaster algorithm.
Inspired by beteljuice.com Java algorithm, as converted to Python by
honeysucklecottage.me.uk, and further information
from <a class="reference external" href="http://www.meteormetrics.com/zambretti.htm">http://www.meteormetrics.com/zambretti.htm</a></p>
</dd></dl>

<dl class="function">
<dt id="pywws.ZambrettiCore.ZambrettiText">
<tt class="descclassname">pywws.ZambrettiCore.</tt><tt class="descname">ZambrettiText</tt><big>(</big><em>letter</em><big>)</big><a class="reference internal" href="../_modules/pywws/ZambrettiCore.html#ZambrettiText"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.ZambrettiCore.ZambrettiText" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.Forecast.html"
                        title="previous chapter">pywws.Forecast</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.Upload.html"
                        title="next chapter">pywws.Upload</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.Upload.html" title="pywws.Upload"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.Forecast.html" title="pywws.Forecast"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>